//go:build !ignore_autogenerated

/*
Copyright 2023.

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/

// Code generated by controller-gen. DO NOT EDIT.

package v1

import (
	metav1 "k8s.io/apimachinery/pkg/apis/meta/v1"
	runtime "k8s.io/apimachinery/pkg/runtime"
)

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *ConfigMapInfoSpec) DeepCopyInto(out *ConfigMapInfoSpec) {
	*out = *in
	if in.Labels != nil {
		in, out := &in.Labels, &out.Labels
		*out = make(map[string]string, len(*in))
		for key, val := range *in {
			(*out)[key] = val
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new ConfigMapInfoSpec.
func (in *ConfigMapInfoSpec) DeepCopy() *ConfigMapInfoSpec {
	if in == nil {
		return nil
	}
	out := new(ConfigMapInfoSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *HeatStack) DeepCopyInto(out *HeatStack) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ObjectMeta.DeepCopyInto(&out.ObjectMeta)
	in.Spec.DeepCopyInto(&out.Spec)
	in.Status.DeepCopyInto(&out.Status)
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new HeatStack.
func (in *HeatStack) DeepCopy() *HeatStack {
	if in == nil {
		return nil
	}
	out := new(HeatStack)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *HeatStack) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *HeatStackList) DeepCopyInto(out *HeatStackList) {
	*out = *in
	out.TypeMeta = in.TypeMeta
	in.ListMeta.DeepCopyInto(&out.ListMeta)
	if in.Items != nil {
		in, out := &in.Items, &out.Items
		*out = make([]HeatStack, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new HeatStackList.
func (in *HeatStackList) DeepCopy() *HeatStackList {
	if in == nil {
		return nil
	}
	out := new(HeatStackList)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyObject is an autogenerated deepcopy function, copying the receiver, creating a new runtime.Object.
func (in *HeatStackList) DeepCopyObject() runtime.Object {
	if c := in.DeepCopy(); c != nil {
		return c
	}
	return nil
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *HeatStackSpec) DeepCopyInto(out *HeatStackSpec) {
	*out = *in
	out.Interval = in.Interval
	out.RetryInterval = in.RetryInterval
	in.HeatStack.DeepCopyInto(&out.HeatStack)
	in.OutputConfigMap.DeepCopyInto(&out.OutputConfigMap)
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new HeatStackSpec.
func (in *HeatStackSpec) DeepCopy() *HeatStackSpec {
	if in == nil {
		return nil
	}
	out := new(HeatStackSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *HeatStackStatus) DeepCopyInto(out *HeatStackStatus) {
	*out = *in
	if in.Conditions != nil {
		in, out := &in.Conditions, &out.Conditions
		*out = make([]metav1.Condition, len(*in))
		for i := range *in {
			(*in)[i].DeepCopyInto(&(*out)[i])
		}
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new HeatStackStatus.
func (in *HeatStackStatus) DeepCopy() *HeatStackStatus {
	if in == nil {
		return nil
	}
	out := new(HeatStackStatus)
	in.DeepCopyInto(out)
	return out
}

// DeepCopyInto is an autogenerated deepcopy function, copying the receiver, writing into out. in must be non-nil.
func (in *StackInfoSpec) DeepCopyInto(out *StackInfoSpec) {
	*out = *in
	if in.Template != nil {
		in, out := &in.Template, &out.Template
		*out = (*in).DeepCopy()
	}
	if in.Environment != nil {
		in, out := &in.Environment, &out.Environment
		*out = (*in).DeepCopy()
	}
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new StackInfoSpec.
func (in *StackInfoSpec) DeepCopy() *StackInfoSpec {
	if in == nil {
		return nil
	}
	out := new(StackInfoSpec)
	in.DeepCopyInto(out)
	return out
}

// DeepCopy is an autogenerated deepcopy function, copying the receiver, creating a new UnstructuredDataType.
func (in *UnstructuredDataType) DeepCopy() *UnstructuredDataType {
	if in == nil {
		return nil
	}
	out := new(UnstructuredDataType)
	in.DeepCopyInto(out)
	return out
}
